Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.javatest.interview
Class BasicInterviewParameters

    java.lang.Object
      com.sun.interview.Interview
          com.sun.javatest.InterviewParameters
              com.sun.javatest.interview.BasicInterviewParameters

All Implemented Interfaces:
  Parameters

Direct Known Subclasses:
  DefaultInterviewParameters, LegacyParameters

    public abstract class BasicInterviewParameters

extends InterviewParameters

A basic implementation of InterviewParameters that uses standard interviews for all the various interview sections, except the environment section, which remains to be implemented by subtypes.

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.javatest.InterviewParameters
`InterviewParameters.JTIFault, InterviewParameters.TemplateManager, InterviewParameters.TestSuiteFault, InterviewParameters.WorkDirFault`

Nested classes/interfaces inherited from class com.sun.interview.Interview
`Interview.BadHelpFault, Interview.Fault, Interview.HelpNotFoundFault, Interview.NotOnPathFault, Interview.Observer`

Nested classes/interfaces inherited from interface com.sun.javatest.Parameters
`Parameters.ConcurrencyParameters, Parameters.EnvParameters, Parameters.ExcludeListParameters, Parameters.KeywordsParameters, Parameters.LegacyEnvParameters, Parameters.MutableConcurrencyParameters, Parameters.MutableExcludeListParameters, Parameters.MutableKeywordsParameters, Parameters.MutablePriorStatusParameters, Parameters.MutableTestsParameters, Parameters.MutableTimeoutFactorParameters, Parameters.PriorStatusParameters, Parameters.TestsParameters, Parameters.TimeoutFactorParameters`

Field Summary
`protected TestsInterview` | `iTests`

Fields inherited from class com.sun.interview.Interview
`CHECKSUM, EXPORT_IGNORE_ALL_EXCEPTIONS, EXPORT_IGNORE_NO_EXCEPTIONS, EXPORT_IGNORE_RUNTIME_EXCEPTIONS, EXTERNAL_PREF, INTERVIEW, LOCALE, MARKERS, MARKERS_PREF, QUESTION, SEMANTIC_MAX_VERSION, SEMANTIC_PRE_32, SEMANTIC_VERSION_32, SEMANTIC_VERSION_43, TEMPLATE_PREF`

Constructor Summary
`protected` | `BasicInterviewParameters(java.lang.String tag)` Create a BasicInterviewParameters object.
`protected` | `BasicInterviewParameters(java.lang.String tag, TestSuite ts)` Create a BasicInterviewParameters object.

Method Summary
`protected TestsInterview` | `createTestsInterview(InterviewParameters parent)` creation of {#link TestsInterview} is extracted into separate class to enable 'hooks' and return {#link TestsInterview} sub class
`protected Question` | `getConcurrencyFirstQuestion()` Get the first question concerning the number of tests that may be run in parallel.
`Parameters.ConcurrencyParameters` | `getConcurrencyParameters()` Get an object which provides access to the integer specifying the maximum number of tests that may be run in parallel.
`java.lang.String` | `getDescription()` Get a description for this configuration.
`protected Question` | `getEpilogFirstQuestion()` Get the first question of the epilog, which should be asked after all the other questions in the configuration interview have been asked.
`protected Question` | `getExcludeListFirstQuestion()` Get the first question to be asked concerning the exclude list to be used to exclude tests from the test run.
`Parameters.ExcludeListParameters` | `getExcludeListParameters()` Get an object which provides access to the exclude list which identifies tests or test cases to be excluded from the test run.
`protected Question` | `getKeywordsFirstQuestion()` Get the first question to be asked concerning the keywords that may be used to select tests for the test run.
`Parameters.KeywordsParameters` | `getKeywordsParameters()` Get an object which provides access to the keywords object which identifies tests to be run according to their keywords.
`java.lang.String` | `getName()` Get the name for this configuration.
`protected Question` | `getPriorStatusFirstQuestion()` Get the first question to be asked concerning whether tests should be selected for execution according to their prior execution status.
`Parameters.PriorStatusParameters` | `getPriorStatusParameters()` Get an object which provides access to an array of booleans which identify tests to be run according to their prior execution status.
`protected Question` | `getTestsFirstQuestion()` Get the first question to be asked concerning the set of tests and folders of tests to be run.
`Parameters.TestsParameters` | `getTestsParameters()` Get an object which provides access to the paths identifying the tests or folders of tests to be run.
`TestSuite` | `getTestSuite()` Get the test suite for which these parameters apply.
`protected Question` | `getTimeoutFactorFirstQuestion()` Get the first question concerning the scale factor to be applied to the standard timeout for each test.
`Parameters.TimeoutFactorParameters` | `getTimeoutFactorParameters()` Get an object which provides access to the integer specifying a scale factor to be applied to the standard timeout for the test.
`WorkDirectory` | `getWorkDirectory()` Get the work directory in which to store the results of the test run.
`boolean` | `isNameAndDescriptionInPrologEnabled()` Check whether or not to include standard questions in the prolog to get a name and description for this configuration.
`void` | `setNameAndDescriptionInPrologEnabled(boolean on)` Specify whether or not to include standard questions in the prolog to get a name and description for this configuration.
`void` | `setTestSuite(TestSuite ts)` Set the test suite for the test run.
`void` | `setWorkDirectory(WorkDirectory wd)` Set the work directory for the test run.

Methods inherited from class com.sun.javatest.InterviewParameters
`checkForUpdates, clear, dispose, getBackupPolicy, getConcurrency, getConcurrencySuccessorQuestion, getEnv, getEnvFirstQuestion, getEnvSuccessorQuestion, getErrorMessage, getExcludeList, getExcludeListFilter, getExcludeListSuccessorQuestion, getExcludeTableFilter, getExcludeTableFirstQuestion, getExcludeTableSuccessorQuestion, getFile, getFilters, getKeywords, getKeywordsFilter, getKeywordsSuccessorQuestion, getMarkersEnabled, getMarkersFilterEnabled, getPriorStatusFilter, getPriorStatusSuccessorQuestion, getPriorStatusValues, getPrologSuccessorQuestion, getPropagationController, getRelevantTestFilter, getTemplateManger, getTemplatePath, getTests, getTestsSuccessorQuestion, getTimeoutFactor, getTimeoutFactorSuccessorQuestion, init, isAutoUpdatableKey, isAutoUpdatableKey, isFileLoaded, isFileNewer, isInterviewFile, isTemplate, isUpdatableKey, isValid, load, load, load, load, load, open, open, open, open, open, save, save, save, save, saveAs, saveAs, saveAs, setBackupPolicy, setFile, setMarkersEnabled, setMarkersFilterEnabled, setPropagationController, setTemplate, setTemplateManger, setTemplatePath`

Methods inherited from class com.sun.interview.Interview
`addObserver, callInterview, clearMarkedResponses, containsObserver, createChecklist, createChecklistItem, createChecklistItem, createChecklistItem, export, getAllQuestions, getCurrentQuestion, getDefaultImage, getExportIgnoreExceptionPolicy, getExternalProperties, getFirstQuestion, getHelpSet, getInterview, getInterviewSemantics, getParent, getPath, getPathToCurrent, getPropertyKeys, getQuestions, getRawPath, getResourceBundle, getResourceString, getResourceString, getRoot, getTag, getTitle, hasNext, hasValidNext, isChecklistEmpty, isChecksumValid, isEdited, isFinishable, isFirst, isInterviewFinishable, isLast, isRoot, isStarted, iteratePath, iteratePathToCurrent, last, load, next, pathContains, pathContains, prev, propagateTemplateForAll, readLocale, removeAllMarkers, removeMarkers, removeObserver, reset, retrieveProperty, retrieveTemplateKeys, retrieveTemplateProperty, setBaseTag, setCurrentQuestion, setDefaultImage, setEdited, setExportIgnoreExceptionPolicy, setFirstQuestion, setHelpSet, setHelpSet, setHelpSet, setInterviewSemantics, setResourceBundle, setResourceBundle, setTitle, storeProperty, storeTemplateProperties, storeTemplateProperty, updatePath, updatePath, verifyPathContains, writeLocale`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.sun.javatest.Parameters
`getEnvParameters`

Field Detail

### iTests

    protected TestsInterview iTests

Constructor Detail

### BasicInterviewParameters

    protected BasicInterviewParameters(java.lang.String tag)
                                throws Interview.Fault

  Create a BasicInterviewParameters object. The test suite for which this interview applies should be set with setTestSuite.

  Parameters:
    `tag` - the tag used to qualify questions in this interview
  Throws:
    `Interview.Fault` - if there is a problem creating this object

### BasicInterviewParameters

    protected BasicInterviewParameters(java.lang.String tag,
                                       TestSuite ts)
                                throws Interview.Fault

  Create a BasicInterviewParameters object.

  Parameters:
    `tag` - the tag used to qualify questions in this interview
    `ts` - The test suite to which this interview applies.
  Throws:
    `Interview.Fault` - if there is a problem creating this object

Method Detail

### createTestsInterview

    protected TestsInterview createTestsInterview(InterviewParameters parent)
                                           throws Interview.Fault

  creation of {#link TestsInterview} is extracted into separate class to enable 'hooks' and return {#link TestsInterview} sub class

  Parameters:
    `parent` -
  Returns:
    instance of {#link TestsInterview}
  Throws:
    `Interview.Fault`

### setNameAndDescriptionInPrologEnabled

    public void setNameAndDescriptionInPrologEnabled(boolean on)

  Specify whether or not to include standard questions in the prolog to get a name and description for this configuration. If these standard questions are not used, it is the responsibility of the EnvParameters interview to get the name and description. If the standard prolog is bypassed by using setFirstQuestion, this method has no effect.

  Parameters:
    `on` - if true, questions will be included in the standard prolog to get a name and description for this configuration.
  See Also:
    `isNameAndDescriptionInPrologEnabled()`

### isNameAndDescriptionInPrologEnabled

    public boolean isNameAndDescriptionInPrologEnabled()

  Check whether or not to include standard questions in the prolog to get a name and description for this configuration. If these standard questions are not used, it is the responsibility of the EnvParameters interview to get the name and description.

  Returns:
    true if the standard questions should be included, and false otherwise.
  See Also:
    `setNameAndDescriptionInPrologEnabled(boolean)`

### getName

    public java.lang.String getName()

  Get the name for this configuration. If the standard question for the name has been included in the prolog, it will be used to get the result; otherwise the default implementation to get the name from the environment will be used.

  Overrides:
    `getName` in class `InterviewParameters`
  Returns:
    the name for this configuration, or null if not known
  See Also:
    `setNameAndDescriptionInPrologEnabled(boolean)`

### getDescription

    public java.lang.String getDescription()

  Get a description for this configuration. If the standard question for the description has been included in the prolog, it will be used to get the result; otherwise the default implementation to get the description from the environment will be used.

  Overrides:
    `getDescription` in class `InterviewParameters`
  Returns:
    a description for this configuration, or null if not known

### getTestSuite

    public TestSuite getTestSuite()

  Description copied from interface: `Parameters`
  Get the test suite for which these parameters apply.

  Returns:
    the test suite for which these parameters apply.
  See Also:
    `Parameters.setTestSuite(com.sun.javatest.TestSuite)`

### setTestSuite

    public void setTestSuite(TestSuite ts)

  Set the test suite for the test run. The test suite may only be set once.

  Parameters:
    `ts` - the test suite to be set.
  Throws:
    `java.lang.NullPointerException` - if ts is null
    `java.lang.IllegalStateException` - if the test suite has already been set to something different
  See Also:
    `getTestSuite()`

### getWorkDirectory

    public WorkDirectory getWorkDirectory()

  Description copied from interface: `Parameters`
  Get the work directory in which to store the results of the test run.

  Returns:
    the work directory in which to store the results of the test run.
  See Also:
    `Parameters.setWorkDirectory(com.sun.javatest.WorkDirectory)`

### setWorkDirectory

    public void setWorkDirectory(WorkDirectory wd)

  Set the work directory for the test run. The work directory may only be set once. If the test suite has already been set, it must exactly match the test suite for the work directory; if the test suite has not yet been set, it will be set to the test suite for this work directory.

  Specified by:
    `setWorkDirectory` in interface `Parameters`
  Specified by:
    `setWorkDirectory` in class `InterviewParameters`
  Parameters:
    `wd` - the work directory to be set.
  Throws:
    `java.lang.NullPointerException` - if wd is null
    `java.lang.IllegalStateException` - if the work directory has already been set to something different
  See Also:
    `getWorkDirectory()`

### getTestsParameters

    public Parameters.TestsParameters getTestsParameters()

  Description copied from interface: `Parameters`
  Get an object which provides access to the paths identifying the tests or folders of tests to be run.

  Returns:
    an object which provides access to the paths identifying tests to be run.

### getTestsFirstQuestion

    protected Question getTestsFirstQuestion()

  Description copied from class: `InterviewParameters`
  Get the first question to be asked concerning the set of tests and folders of tests to be run.

  Specified by:
    `getTestsFirstQuestion` in class `InterviewParameters`
  Returns:
    the first question to be asked concerning the set of tests and folders of tests to be run.
  See Also:
    `InterviewParameters.getTestsSuccessorQuestion()`

### getExcludeListParameters

    public Parameters.ExcludeListParameters getExcludeListParameters()

  Description copied from interface: `Parameters`
  Get an object which provides access to the exclude list which identifies tests or test cases to be excluded from the test run.

  Returns:
    an object which provides access to the exclude list identifying tests or test cases to be excluded from the test run.

### getExcludeListFirstQuestion

    protected Question getExcludeListFirstQuestion()

  Description copied from class: `InterviewParameters`
  Get the first question to be asked concerning the exclude list to be used to exclude tests from the test run.

  Specified by:
    `getExcludeListFirstQuestion` in class `InterviewParameters`
  Returns:
    the first question to be asked concerning the exclude list to be used to exclude tests from the test run.
  See Also:
    `InterviewParameters.getExcludeListSuccessorQuestion()`

### getKeywordsParameters

    public Parameters.KeywordsParameters getKeywordsParameters()

  Description copied from interface: `Parameters`
  Get an object which provides access to the keywords object which identifies tests to be run according to their keywords.

  Returns:
    an object which provides access to the keywords object which identifies tests to be run according to their keywords.

### getKeywordsFirstQuestion

    protected Question getKeywordsFirstQuestion()

  Description copied from class: `InterviewParameters`
  Get the first question to be asked concerning the keywords that may be used to select tests for the test run.

  Specified by:
    `getKeywordsFirstQuestion` in class `InterviewParameters`
  Returns:
    the first question to be asked concerning the keywords that may be used to select tests for the test run.
  See Also:
    `InterviewParameters.getKeywordsSuccessorQuestion()`

### getPriorStatusParameters

    public Parameters.PriorStatusParameters getPriorStatusParameters()

  Description copied from interface: `Parameters`
  Get an object which provides access to an array of booleans which identify tests to be run according to their prior execution status.

  Returns:
    an object which provides access to an array of booleans which identify tests to be run according to their prior execution status, or null if no such selection criteria is required.

### getPriorStatusFirstQuestion

    protected Question getPriorStatusFirstQuestion()

  Description copied from class: `InterviewParameters`
  Get the first question to be asked concerning whether tests should be selected for execution according to their prior execution status.

  Specified by:
    `getPriorStatusFirstQuestion` in class `InterviewParameters`
  Returns:
    the first question to be asked concerning whether tests should be selected for execution according to their prior execution status.
  See Also:
    `InterviewParameters.getPriorStatusSuccessorQuestion()`

### getConcurrencyParameters

    public Parameters.ConcurrencyParameters getConcurrencyParameters()

  Description copied from interface: `Parameters`
  Get an object which provides access to the integer specifying the maximum number of tests that may be run in parallel.

  Returns:
    an object which provides access to the integer specifying the maximum number of tests that may be run in parallel.

### getConcurrencyFirstQuestion

    protected Question getConcurrencyFirstQuestion()

  Description copied from class: `InterviewParameters`
  Get the first question concerning the number of tests that may be run in parallel.

  Specified by:
    `getConcurrencyFirstQuestion` in class `InterviewParameters`
  Returns:
    the first question concerning the number of tests that may be run in parallel.
  See Also:
    `InterviewParameters.getConcurrencySuccessorQuestion()`

### getTimeoutFactorParameters

    public Parameters.TimeoutFactorParameters getTimeoutFactorParameters()

  Description copied from interface: `Parameters`
  Get an object which provides access to the integer specifying a scale factor to be applied to the standard timeout for the test.

  Returns:
    an object which provides access to the integer specifying a scale factor to be applied to the standard timeout for each test.

### getTimeoutFactorFirstQuestion

    protected Question getTimeoutFactorFirstQuestion()

  Description copied from class: `InterviewParameters`
  Get the first question concerning the scale factor to be applied to the standard timeout for each test.

  Specified by:
    `getTimeoutFactorFirstQuestion` in class `InterviewParameters`
  Returns:
    the first question concerning the scale factor to be applied to the standard timeout for each test.
  See Also:
    `InterviewParameters.getTimeoutFactorSuccessorQuestion()`

### getEpilogFirstQuestion

    protected Question getEpilogFirstQuestion()

  Description copied from class: `InterviewParameters`
  Get the first question of the epilog, which should be asked after all the other questions in the configuration interview have been asked. The epilog should terminate in the standard way with a FinalQuestion.

  Specified by:
    `getEpilogFirstQuestion` in class `InterviewParameters`
  Returns:
    the first question of the epilog, which should be asked after all the other questions in the configuration interview have been asked.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2010, Oracle and/or its affiliates. All rights reserved.